pi
rad2deg
Math Functions
PHP Manual

# pow

(PHP 4, PHP 5)

pow — Exponential expression

### Description

number pow ( number `$base` , number `$exp` )

Returns `base` raised to the power of `exp`.

> Note:

> In PHP 5.6 onwards, you may prefer to use the ** operator.

### Parameters

`base`

  The base to use

`exp`

  The exponent

### Return Values

`base` raised to the power of `exp`. If both arguments are non-negative integers and the result can be represented as an integer, the result will be returned with integer type, otherwise it will be returned as a float.

### Examples

Example #1 Some examples of pow()

`<?php
var_dump(pow(2, 8)); // int(256)
echo pow(-1, 20); // 1
echo pow(0, 0); // 1
echo pow(-1, 5.5); // PHP >4.0.6 NAN
echo pow(-1, 5.5); // PHP <=4.0.6 1.#IND
?>`

### Notes

> Note:

> This function will convert all input to a number, even non-scalar values, which could lead to weird results.

### See Also

- exp() - Calculates the exponent of e
- sqrt() - Square root
- bcpow() - Raise an arbitrary precision number to another
- gmp_pow() - Raise number into power

pi
rad2deg
Math Functions
PHP Manual